Skip to main content
GET
/
tasks
/
{id}
Get a task
curl --request GET \
  --url https://us.api.flexprice.io/v1/tasks/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://us.api.flexprice.io/v1/tasks/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://us.api.flexprice.io/v1/tasks/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "environment_id": "<string>",
  "error_summary": "<string>",
  "failed_at": "2023-11-07T05:31:56Z",
  "failed_records": 123,
  "file_name": "<string>",
  "file_url": "<string>",
  "id": "<string>",
  "metadata": {},
  "processed_records": 123,
  "scheduled_task_id": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "successful_records": 123,
  "tenant_id": "<string>",
  "total_records": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "<string>",
  "workflow_id": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}
{
  "http_status_code": 123,
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Task ID

Response

OK

completed_at
string<date-time>
created_at
string<date-time>
created_by
string
entity_type
enum<string>
Available options:
EVENTS,
PRICES,
CUSTOMERS,
FEATURES
environment_id
string
error_summary
string
failed_at
string<date-time>
failed_records
integer
file_name
string
file_type
enum<string>
Available options:
CSV,
JSON
file_url
string
id
string
metadata
object
processed_records
integer
scheduled_task_id
string
started_at
string<date-time>
status
enum<string>
Available options:
published,
deleted,
archived
successful_records
integer
task_status
enum<string>
Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED
task_type
enum<string>
Available options:
IMPORT,
EXPORT
tenant_id
string
total_records
integer
updated_at
string<date-time>
updated_by
string
workflow_id
string